Create a Document Signer
Creates a new Document Signer that can be used to sign new mDocs.
- Only available in implementations using unmanaged (external) IACAs.
- A maximum of five Document Signers can be created per tenant.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>application/json- body
iacaId*stringInternal identifier of the IACA used to sign this document signer:
- Must be an unmanaged (external) IACA.
uuidDocument Signer created
application/json- response
Document signer before a certificate has been uploaded. Includes a Certificate Signing Request (CSR).
id*stringEach Document Signer created on MATTR VII will have a unique identifier which must be provided when using this Document Signer to sign an mDoc.
uuidiacaId*stringUnique identifier of the IACA used to sign the Document Signer.
uuidactive*booleanIndicates the Document Signer status. Only active Document Signers (true) can be used to sign mDocs.
csrPem*stringThe X.509 Certificate Signing Request (CSR) in PEM format, base64 encoded. Use this CSR to generate a valid certificate, then update the document signer with the resulting certificate.
curl -X POST "https://example.com/v2/credentials/mobile/document-signers" \ -H "Content-Type: application/json" \ -d '{ "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "active": true, "csrPem": "-----BEGIN CERTIFICATE REQUEST-----...-----END CERTIFICATE REQUEST-----"}How would you rate this page?
Retrieve IACA CRL GET
Retrieves the Certificate Revocation List (CRL) for the specified IACA in DER binary format. This endpoint is public and does not require authentication. CRLs must be publicly accessible so relying parties can validate certificates.
Revoke a Document Signer POST
Revokes an existing Document Signer, making it unusable for signing new mDocs. If the verifier checks the CRL referenced in the IACA certificate, it must treat revoked Document Signers and any mDocs they signed as untrusted. <Callout> Only available in implementations using managed IACAs. When using unmanaged (external) IACAs, you must revoke the Document Signer certificate directly with the CA that issued it. </Callout>